<?php

abstract class Rsj_Locale
{
    protected $_locale = null;
    public function __construct($locale = 'en')
    {
        $this->_locale = $locale;
    }
    public function getDisplayRegion( $regionCode ) { return $regionCode; }
    abstract public function getTypeOfLocaleProcessor();
    abstract public function getDisplayLanguage( $languageCode );
    abstract public function formatCurrency( $value, $currency, $type = NumberFormatter::CURRENCY );
    abstract public function format( $value, $type = NumberFormatter::TYPE_DEFAULT );
}
