<?php

// WordPress plugin and PHPUnit
// http://stackoverflow.com/questions/9138215/unit-testing-wordpress-plugins
// Load WordPress test environment
// https://github.com/nb/wordpress-tests
//
// The path to wordpress-tests
$path = 'c://git/wordpress-tests/bootstrap.php';

// let the plugin knows if this is being run under PHPUnit
//  (if so, plugin class should be handed over super global)
define ('EIA_IN_PHPUNIT_TEST', 1);

if( file_exists( $path ) ) {
    require_once $path;
} else {
    exit( "Couldn't find path to wordpress-tests/init.php\n" );
}

require_once dirname( __DIR__ ) . '/includes/Rsj/iTunes.php';
require_once dirname( __DIR__ ) . '/includes/Rsj/Linkshare.php';
require_once dirname( __DIR__ ) . '/includes/Rsj/LocaleFactory.php';
require_once dirname( __DIR__ ) . '/includes/Rsj/Locale.php';

require_once dirname( __DIR__ ) . '/includes/Rsj/EmbedIphoneIpadApp.php';
